Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0015092
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajorhave not tried2010-11-02 12:142012-05-25 12:11
ReportershuehnerView Statuspublic 
Assigned ToSandrahuguet 
PrioritynormalResolutionfixedFixed in Version3.0MP11
StatusclosedFix in branchpiFixed in SCM revision2580ff5d8c68
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0015092: Some reports/processes still use the deprecated OrganizationComboData instead of the standard ComboTableData

DescriptionWhen fixing issue 10001 some reports/processes in core where not corrected.

Please check 10001 for all details.

Remaining list of users in core:
- org.openbravo.erpCommon.ad_process.PrintInvoices (recheck if the standard combotabledata does show the 'correct' list of orgs for a process also)
- org.openbravo.erpCommon.ad_reports
-- GenerateModel347
-- ReportAccountingCountDimensionalAnalyses
-- ReportInvoiceCustomerDimensionalAnalyses
-- ReportInvoiceCustomerDimensionalAnalysesJR
-- ReportMaterialDimensionalAnalysesJR
-- ReportRefundInvoiceCustomerDimensionalAnalysis

Please recheck with eclipse that no users are left after converting those classes.
TagsVMA-Reviewed
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0010001 closedharikrishnan Report should/must use ComboTableData with #AccessibleOrgTree for Organization dropdown 
related to feature request 0015091 newshuehner Add posibility to mark xsql-files or SqlMethod within them as deprecated 

-  Notes
(0047777)
Sandrahuguet (developer)
2012-04-20 10:56

Test Plan:
-Go to Role and select F&BUser
-In Org Acces tab you should have: F&B International Group,
                                   F&B US East Coast
                                   F&B US, Inc.
                                   F&B US West Coast
-Login with F&BUser

Multidimensional Tax Report
-Go to Multidimensional Tax Report
-Notice that in the organization combo you have access to all organization tree

Print Invoices
 *As System Administrator
  -Go to Report and process select Print Invoices and check active
  -Go to Menu select Print Invoices and check active
 *As F&B International Group Admin
  -Go to Role, select F&BUser and in Window Acess tab create access to Print Invoices
 *As F&BUser
  -Go to Print Invoices
  -Notice that in the organization combo you have access to all organization tree

Payment Execution
-Go to Payment Execution
-Notice that in the organization combo you have access to the organization client
(0047930)
hgbot (developer)
2012-04-24 18:20

Repository: erp/devel/pi
Changeset: 2580ff5d8c681ad26b5cc0d69ed49a8299fe9f9e
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Tue Apr 24 12:44:32 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2580ff5d8c681ad26b5cc0d69ed49a8299fe9f9e [^]

Fixed issue 15092 Change OrganizationComboData instead of ComboTableData

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_forms/BatchPaymentExecution.java
M modules/org.openbravo.reports.ordersawaitingdelivery/src/org/openbravo/reports/ordersawaitingdelivery/erpCommon/ad_reports/ReportOrderNotShipped.java
M src/org/openbravo/erpCommon/ad_combos/OrganizationCombo_data.xsql
M src/org/openbravo/erpCommon/ad_process/PrintInvoices.java
---
(0047931)
hgbot (developer)
2012-04-24 18:20

Repository: erp/devel/pi
Changeset: b1c45effac4ba958111043d3bf0435a438c007fe
Author: Mikel Irurita <mikel.irurita <at> openbravo.com>
Date: Tue Apr 24 18:16:02 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b1c45effac4ba958111043d3bf0435a438c007fe [^]

Related to issue 15092: code review.
Add validation 'AD_Org (without *)' for Orders Awaiting Delivery and Print Invoices.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_forms/BatchPaymentExecution.java
M modules/org.openbravo.reports.ordersawaitingdelivery/src/org/openbravo/reports/ordersawaitingdelivery/erpCommon/ad_reports/ReportOrderNotShipped.java
M src/org/openbravo/erpCommon/ad_process/PrintInvoices.java
---
(0047932)
mirurita (developer)
2012-04-24 18:21

code review + testing OK

[24/04/2012] The following classes are using OrganizationComboData in OB3.0 distribution
-- org.openbravo.reports.ordersawaitingdelivery.erpCommon.ad_reports.ReportOrderNotShipped
-- org.openbravo.erpCommon.ad_process.PrintInvoices (inactive)
-- org.openbravo.advpaymentmngt.ad_forms.BatchPaymentExecution

The class has been deprecated using xsql class/method comments.
(0048085)
hudsonbot (developer)
2012-04-26 19:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/70a717a9ffa1 [^]

Maturity status: Test
(0048086)
hudsonbot (developer)
2012-04-26 19:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/70a717a9ffa1 [^]

Maturity status: Test
(0048508)
hgbot (developer)
2012-05-09 13:48

Repository: erp/devel/pi
Changeset: 65891cafc3a46403a62116a3015bf7371f38038c
Author: Mikel Irurita <mikel.irurita <at> openbravo.com>
Date: Wed May 09 13:47:38 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/65891cafc3a46403a62116a3015bf7371f38038c [^]

Related to issue 15092: hide * org in Payment execution window

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_forms/BatchPaymentExecution.java
---
(0048612)
vmromanos (developer)
2012-05-14 12:03

Reviewed: the organization * does not appear anymore into the Payment Execution window.
Tested on live.builds and demo.openbravo.com
(0049080)
hudsonbot (developer)
2012-05-25 12:11

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2010-11-02 12:14 shuehner New Issue
2010-11-02 12:14 shuehner Assigned To => adrianromero
2010-11-02 12:14 shuehner Relationship added related to 0010001
2010-11-02 12:15 shuehner Relationship added related to 0015091
2011-06-03 10:58 dalsasua Assigned To adrianromero => dalsasua
2011-07-20 18:13 dalsasua Assigned To dalsasua => jonalegriaesarte
2012-02-15 19:05 iciordia Assigned To jonalegriaesarte => vmromanos
2012-02-16 15:49 vmromanos Tag Attached: VMA-Reviewed
2012-04-18 17:48 Sandrahuguet Assigned To vmromanos => Sandrahuguet
2012-04-18 17:49 Sandrahuguet Status new => scheduled
2012-04-18 17:49 Sandrahuguet fix_in_branch => pi
2012-04-20 10:56 Sandrahuguet Note Added: 0047777
2012-04-24 18:20 hgbot Checkin
2012-04-24 18:20 hgbot Note Added: 0047930
2012-04-24 18:20 hgbot Status scheduled => resolved
2012-04-24 18:20 hgbot Resolution open => fixed
2012-04-24 18:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2580ff5d8c681ad26b5cc0d69ed49a8299fe9f9e [^]
2012-04-24 18:20 hgbot Checkin
2012-04-24 18:20 hgbot Note Added: 0047931
2012-04-24 18:21 mirurita Note Added: 0047932
2012-04-24 18:21 mirurita Status resolved => closed
2012-04-24 18:21 mirurita Fixed in Version => 3.0MP11
2012-04-26 19:32 hudsonbot Checkin
2012-04-26 19:32 hudsonbot Note Added: 0048085
2012-04-26 19:32 hudsonbot Checkin
2012-04-26 19:32 hudsonbot Note Added: 0048086
2012-05-09 13:48 hgbot Checkin
2012-05-09 13:48 hgbot Note Added: 0048508
2012-05-14 12:03 vmromanos Note Added: 0048612
2012-05-25 12:11 hudsonbot Checkin
2012-05-25 12:11 hudsonbot Note Added: 0049080


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker